package com.yeejoin.amos.api.tool.controller;

import com.yeejoin.amos.api.tool.face.model.DesignerModel;
import com.yeejoin.amos.api.tool.face.service.DesignerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.typroject.tyboot.core.foundation.enumeration.UserType;
import org.typroject.tyboot.core.restful.doc.TycloudOperation;
import org.typroject.tyboot.core.restful.utils.ResponseHelper;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import java.util.List;


/**
 * @author r
 */
@RestController
@Api(tags = "设计器查询")
@RequestMapping(value = "/demo/studio_visual_designer")
public class DesignerResource {

    @Autowired
    DesignerService designerService;



    /**
     * 根据sequenceNbr查询
     * @param sequenceNbr  主键
     */
    @TycloudOperation(ApiLevel = UserType.AGENCY,needAuth = false)
    @GetMapping(value = "/{sequenceNbr}")
    @ApiOperation(httpMethod = "GET",value = "根据sequenceNbr查询单个",  notes = "根据sequenceNbr查询单个")
    public ResponseModel<DesignerModel> seleteOne(@PathVariable Long sequenceNbr)
    {
        return ResponseHelper.buildResponse(designerService.queryBySeq(sequenceNbr));
    }
    /**
     *列表全部数据查询
     */
    @TycloudOperation(ApiLevel = UserType.AGENCY,needAuth = false)
    @ApiOperation(httpMethod = "GET",value = "列表全部数据查询",   notes = "列表全部数据查询")
    @GetMapping(value = "/list")
    public ResponseModel<List<DesignerModel>>  selectForList()
    {
        return ResponseHelper.buildResponse(designerService.queryForDesigner());
    }
}
